This is a "plugin" for the Video Disk Recorder (VDR).

Original Written by:
                             andreas 'randy' weinberger <vdr at smue.org>

Rearranged, beautified and rewritten by:
                             Markus Geisler <geisler at primusnetz.de>
                             Helmut Auer <helmut at helmutauer.de>

See the file COPYING for license information.

Description:

Enables the LCD display of the Activy300 boxes from Siemens.

Parameters:

-r <scriptName>  : Name of script which will be called in case of PIC reset.
                   default: /etc/init.d/activy.sh


Valid SVDRP Commands:

    - "LOCK"
      stop vdr mode

    - "UNLOCK"
      start vdr mode

    - "SHOW <text>"
      display text
      The "|" sign can be used as delimiter between the two lines.

    - "LED [OFF OFF|OFF ON|ON OFF|ON ON]"
      set LED's. on or off - First parameter for upper LED, second for the lower one.

    - "PWRLED [BLINK|GREEN|RED]"
      set PowerLED.

    - "STAY [ON|OFF]"
      let Text stay after shutdown.


Included scripts:

- activy:   Init script for gentoo
    shows an init message on the display and activates the keys on the remote control.

- activy_keys.sh:
    activates all keys on the remote control and the frontpanel.

- activy_msg.sh:
    Shows the given string(s) on the display.

- activy_pb.sh:
    Enables or disables the power button.

- activy_lcdoff.sh:
    Sample script for setting Display to the next timer.
    Can be called from the shutdown routine, it awaits a file /video/~wakeup with the contents:
    timestamp;channel;program
    These are the parameters 1,3 and 4 given from VDR to the shutdown routine, 
    so you should add a line like

          echo "$1;$3;$4" > /video/~wakeup

   to your shutdown routine.

Thanks a lot to all the testers ( especially Uwe Mechel ).
Please report comments, suggestions and so on to Helmut Auer.

